Bug 429668 - X crash when switching keyboard
X crash when switching keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 06:30 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:36:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (844 bytes, text/plain)
2008-01-22 06:33 EST, David Kovalsky
no flags Details
lspci -vvv (25.30 KB, text/plain)
2008-01-22 06:33 EST, David Kovalsky
no flags Details
~/.xsession-errors (31.28 KB, text/plain)
2008-01-22 06:34 EST, David Kovalsky
no flags Details
Xorg.0.log (90.77 KB, text/plain)
2008-01-22 06:34 EST, David Kovalsky
no flags Details
Xorg.0.log.old (90.65 KB, text/plain)
2008-01-22 06:34 EST, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2008-01-22 06:30:36 EST
I'm using xorg-x11-server-Xorg-1.3.0.0-37.fc8 and KDE desktop. I have 2
kerboards preset, US & Czech Qwerty with CTRL+ALT+k set as the quick switch key.
When writing code in vim and switching keyboard using the schortcut X randomly
crash. 

I'm unable to come up with a 100% reproducer, but this crash always happens in
max 15 minutes when I start writing or switch back and forth for about 10 times. 

I have a Lenovo T60, below is /var/log/Xorg.0.log, ~/.xsession-errors, Xorg.conf
and lcpsi -vvv.

Let me know if you need anything else to diagnose the problem.
Comment 1 David Kovalsky 2008-01-22 06:33:30 EST
Created attachment 292490 [details]
xorg.conf
Comment 2 David Kovalsky 2008-01-22 06:33:52 EST
Created attachment 292491 [details]
lspci -vvv
Comment 3 David Kovalsky 2008-01-22 06:34:13 EST
Created attachment 292492 [details]
~/.xsession-errors
Comment 4 David Kovalsky 2008-01-22 06:34:35 EST
Created attachment 292493 [details]
Xorg.0.log
Comment 5 David Kovalsky 2008-01-22 06:34:54 EST
Created attachment 292494 [details]
Xorg.0.log.old
Comment 6 Adam Jackson 2008-04-06 19:51:08 EDT
No obvious crash in the X log, which makes me think it's a session problem. 
Shifting the blame to scim.
Comment 7 Peng Huang 2008-04-06 23:20:10 EDT
What's phenomenon of X crash? Could you start a new Xserver by self (not gdm),
and send the xinit's all output to me when X crashs again? Thanks.

Steps for Start a new X session by self:
KDE: # xinit /usr/bin/startkde -- :2 -auth "" 2>&1 | tee log
GNOME: # xinit /usr/bin/gnome-session -- :2 -auth "" 2>&1 | tee log
Comment 8 Jens Petersen 2008-04-07 01:41:07 EDT
Are you using scim?
Comment 9 David Kovalsky 2008-04-07 07:15:57 EDT
Hi, 

 - I'm not using scim
 - the crash is pretty random, though still happening (happened just a minute ago)

I'll try doing regular work in the new X session and try to make it crash. 
Comment 10 Jens Petersen 2008-04-14 22:19:33 EDT
Seems X is not crashing?

So maybe you have a kernel oops or your desktop is hanging?
Any other log messages?  Are you able to ping the machine
from another when it hangs?

Can you describe exactly how it crashes?
Are you using GNOME?
Comment 11 David Kovalsky 2008-04-16 09:57:49 EDT
Nothing interesting in the logs, nothing that would signal a kernel oops. The X
server just restarts. After re-login I can continue working. I'm using KDE. 

The crashes are less often now, but still do happen. Unfortunately on :0, not on
the new X session I have running on :2 :-/
Comment 12 David Kovalsky 2008-04-25 08:16:08 EDT
Another random crash on :0, only thing interesting in the logs is /v/l/messages:
Apr 25 13:55:54 kovinek gdm-binary[2865]: WARNING: gdm_slave_xioerror_handler:
Fatal X error - Restarting :0
Apr 25 13:55:56 kovinek acpid: client connected from 18188[0:0]
Apr 25 13:56:13 kovinek gconfd (dkovalsk-31485): GConf server is not in use,
shutting down.
Apr 25 13:56:13 kovinek gconfd (dkovalsk-31485): Exiting
Apr 25 13:56:25 kovinek gconfd (dkovalsk-18371): starting (version 2.20.1), pid
18371 user 'dkovalsk'
Apr 25 13:56:25 kovinek gconfd (dkovalsk-18371): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration
source at position 0
Apr 25 13:56:25 kovinek gconfd (dkovalsk-18371): Resolved address
"xml:readwrite:/home/dkovalsk/.gconf" to a writable configuration source at
position 1
Apr 25 13:56:25 kovinek gconfd (dkovalsk-18371): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source
at position 2


and as I already mentioned thread safety warnings in ~/.xsession-errors
setParam(pad.cpp:304)    --- NOT YET THREAD SAFE!
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer

If there's a way to force more verbose logging for my regular setup on :0 I'll
be happy to do it :-)
Comment 13 Jens Petersen 2008-04-29 02:01:12 EDT
Moving back to Xorg team based on comment 9.

Reporter, have you had a chance to test with F9 pre-releases?
Comment 14 David Kovalsky 2008-05-02 08:43:21 EDT
Not on this hardware (my laptop). I haven't been bitten by this issues on
machines running rawhide, but on the other hand I don't use them for day to day
work and since it takes a while to reproduce I can't say it's been fixed. 
Comment 15 Bug Zapper 2008-11-26 04:31:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-01-09 02:36:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.